OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000240OMNeT++IDE / sequence chartpublic2011-01-21 14:272011-01-31 18:23
Reporterjeromerousselot 
Assigned Tolevy 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.1 
Target VersionFixed in Version4.2b1 
Summary0000240: Go To simulation time feature only allow absolute time values
DescriptionWhen inspecting a sequence chart / eventlog, it is useful to go back and forth between some points in the log, which can be separated by a huge number of events (hundred or thousand of events).
Scrolling by hand is inconvenient, and the "Go to simulation time" dialog box is very helpful in that case. It would be even better if it were possible to enter values such as:
(1) simple computations, for instance 1.3+0.2 or 1.3-0.5
(2) time shift relatives to the current point / current view: T0 - 0.2 s, instead of absolute values.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000376)
levy (developer)
2011-01-31 17:35

Added expression evaluation and relative positioning too.
Examples:
1s 500ms
-20ms 300us
+1.23s+2*10ms
(0000377)
andras (administrator)
2011-01-31 18:23

> it is useful to go back and forth between some points in the log, which can be
> separated by a huge number of events (hundred or thousand of events)

There is also a bookmark feature in the Sequence Chart which also solves this
problem...

- Issue History
Date Modified Username Field Change
2011-01-21 14:27 jeromerousselot New Issue
2011-01-26 15:51 andras Assigned To => levy
2011-01-31 17:35 levy Note Added: 0000376
2011-01-31 17:35 levy Status new => resolved
2011-01-31 17:35 levy Fixed in Version => 4.2b1
2011-01-31 17:35 levy Resolution open => fixed
2011-01-31 18:23 andras Note Added: 0000377


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker